Subject: bug#22686: closed (Re: bug#22686: An empty string marked for translation)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Feb 2016 21:11:02 +0000

Your bug report

#22686: An empty string marked for translation

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22686: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22686
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22686: An empty string marked for translation
From: Pádraig Brady <[email-masked]>
To: Göran Uddeborg <[email-masked]>, [email-masked]
Date: Mon, 15 Feb 2016 13:10:40 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 15/02/16 11:10, Göran Uddeborg wrote:
> On line 955 of src/stty.c there is an empty string marked for
> translation.
> 
> 	  fputs (_("\
>     "), stdout);
> 
> This might actually be harmful.  Po files use the translation of the
> empty string as a header.  So depending on the gettext implementation,
> it might be replaced by a header which I'm sure isn't intended.
> (Maybe GNU gettext guards against this, I haven't investigated.  But
> even if so, it is still pretty pointless to mark it for translation.)

Ouch it does output the header when translating (so not for English).
I pushed the fix in your name:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.25-6-g222e830

thanks!
Pádraig.

Subject: An empty string marked for translation
From: Göran Uddeborg <[email-masked]>
To: [email-masked]
Date: Mon, 15 Feb 2016 20:10:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On line 955 of src/stty.c there is an empty string marked for
translation.

	  fputs (_("\
    "), stdout);

This might actually be harmful.  Po files use the translation of the
empty string as a header.  So depending on the gettext implementation,
it might be replaced by a header which I'm sure isn't intended.
(Maybe GNU gettext guards against this, I haven't investigated.  But
even if so, it is still pretty pointless to mark it for translation.)